---
title: RTCDataChannelEvent.channel
slug: Web/API/RTCDataChannelEvent/channel
tags:
  - Experimental
  - Property
  - RTCDataChannelEvent
  - Read-only
  - Reference
  - WebRTC
  - channel
---
<p>{{APIRef("WebRTC")}}{{SeeCompatTable}}</p>

<p>The read-only property <code><strong>RTCDataChannelEvent</strong></code><strong><code>.channel</code></strong> returns the {{domxref("RTCDataChannel")}} associated with the event.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"> var <em>channel</em> = <em>RTCDataChannelEvent</em>.channel;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("RTCDataChannel")}} object representing the data channel linking the receiving {{domxref("RTCPeerConnection")}} to its remote peer.</p>

<h2 id="Example">Example</h2>

<p>The first line of code in the {{event("datachannel")}} event handler shown below takes the channel from the event object and saves it locally for use by the code handling data traffic.</p>

<pre class="brush: js">pc.ondatachannel = function(event) {
  inboundDataChannel = event.channel;
  inboundDataChannel.onmessage = handleIncomingMessage;
  inboundDataChannel.onopen = handleChannelOpen;
  inboundDataChannel.onclose = handleChannelClose;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#dom-datachannelevent-channel', 'RTCDataChannelEvent.channel') }}</td>
   <td>{{ Spec2('WebRTC 1.0') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCDataChannelEvent.channel")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("datachannel")}}</li>
 <li>{{domxref("RTCDataChannel")}}</li>
 <li>{{domxref("RTCPeerConnection.ondatachannel")}}</li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Simple_RTCDataChannel_sample">A simple RTCDataChannel sample</a></li>
 <li>{{domxref("RTCPeerConnection")}}</li>
</ul>
